##### Coverage Report - org.owasp.dependencycheck.jaxb.pom.generated.License

Classes in this File | Line Coverage | Branch Coverage | Complexity
License |
23% | 3/13
N/A | N/A
| 1.0;1

1 |  |
     //
2 |  |
     // This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vJAXB 2.1.10 in JDK 6
3 |  |
     // See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a>
4 |  |
     // Any modifications to this file will be lost upon recompilation of the source schema.
5 |  |
     // Generated on: 2012.11.09 at 12:33:57 PM EST
6 |  |
     //
7 |  |
8 |  |
9 |  |
     package org.owasp.dependencycheck.jaxb.pom.generated;
10 |  |
11 |  |
     import javax.annotation.Generated;
12 |  |
     import javax.xml.bind.annotation.XmlAccessType;
13 |  |
     import javax.xml.bind.annotation.XmlAccessorType;
14 |  |
     import javax.xml.bind.annotation.XmlType;
15 |  |
16 |  |
17 |  |
     /**
18 |  |
      *
19 |  |
      *         Describes the licenses for this project.  This is used to generate
20 |  |
      *         the license page of the project's web site, as well as being taken into consideration in other reporting and
21 |  |
      *         validation. The licenses listed for the project are that of the project itself, and not of dependencies.
22 |  |
      *
23 |  |
      *
24 |  |
      * <p>Java class for License complex type.
25 |  |
      *
26 |  |
      * <p>The following schema fragment specifies the expected content contained within this class.
27 |  |
      *
28 |  |
      * <pre>
29 |  |
      * &lt;complexType name="License">
30 |  |
      *   &lt;complexContent>
31 |  |
      *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
32 |  |
      *       &lt;all>
33 |  |
      *         &lt;element name="name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
34 |  |
      *         &lt;element name="url" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
35 |  |
      *         &lt;element name="distribution" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
36 |  |
      *         &lt;element name="comments" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
37 |  |
      *       &lt;/all>
38 |  |
      *     &lt;/restriction>
39 |  |
      *   &lt;/complexContent>
40 |  |
      * &lt;/complexType>
41 |  |
      * </pre>
42 |  |
      *
43 |  |
      *
44 |  |
      */
45 |  |
     @XmlAccessorType(XmlAccessType.FIELD)
46 |  |
     @XmlType(name = "License", propOrder = {
47 |  |
48 |  |
     })
49 |  |
     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
50 | 1 |
     public class License {
51 |  |
52 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
53 |  |
         protected String name;
54 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
55 |  |
         protected String url;
56 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
57 |  |
         protected String distribution;
58 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
59 |  |
         protected String comments;
60 |  |
61 |  |
         /**
62 |  |
          * Gets the value of the name property.
63 |  |
          *
64 |  |
          * @return
65 |  |
          *     possible object is
66 |  |
          *     {@link String }
67 |  |
          *
68 |  |
          */
69 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
70 |  |
         public String getName() {
71 | 2 |
             return name;
72 |  |
         }
73 |  |
74 |  |
         /**
75 |  |
          * Sets the value of the name property.
76 |  |
          *
77 |  |
          * @param value
78 |  |
          *     allowed object is
79 |  |
          *     {@link String }
80 |  |
          *
81 |  |
          */
82 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
83 |  |
         public void setName(String value) {
84 | 0 |
             this.name = value;
85 | 0 |
         }
86 |  |
87 |  |
         /**
88 |  |
          * Gets the value of the url property.
89 |  |
          *
90 |  |
          * @return
91 |  |
          *     possible object is
92 |  |
          *     {@link String }
93 |  |
          *
94 |  |
          */
95 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
96 |  |
         public String getUrl() {
97 | 2 |
             return url;
98 |  |
         }
99 |  |
100 |  |
         /**
101 |  |
          * Sets the value of the url property.
102 |  |
          *
103 |  |
          * @param value
104 |  |
          *     allowed object is
105 |  |
          *     {@link String }
106 |  |
          *
107 |  |
          */
108 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
109 |  |
         public void setUrl(String value) {
110 | 0 |
             this.url = value;
111 | 0 |
         }
112 |  |
113 |  |
         /**
114 |  |
          * Gets the value of the distribution property.
115 |  |
          *
116 |  |
          * @return
117 |  |
          *     possible object is
118 |  |
          *     {@link String }
119 |  |
          *
120 |  |
          */
121 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
122 |  |
         public String getDistribution() {
123 | 0 |
             return distribution;
124 |  |
         }
125 |  |
126 |  |
         /**
127 |  |
          * Sets the value of the distribution property.
128 |  |
          *
129 |  |
          * @param value
130 |  |
          *     allowed object is
131 |  |
          *     {@link String }
132 |  |
          *
133 |  |
          */
134 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
135 |  |
         public void setDistribution(String value) {
136 | 0 |
             this.distribution = value;
137 | 0 |
         }
138 |  |
139 |  |
         /**
140 |  |
          * Gets the value of the comments property.
141 |  |
          *
142 |  |
          * @return
143 |  |
          *     possible object is
144 |  |
          *     {@link String }
145 |  |
          *
146 |  |
          */
147 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
148 |  |
         public String getComments() {
149 | 0 |
             return comments;
150 |  |
         }
151 |  |
152 |  |
         /**
153 |  |
          * Sets the value of the comments property.
154 |  |
          *
155 |  |
          * @param value
156 |  |
          *     allowed object is
157 |  |
          *     {@link String }
158 |  |
          *
159 |  |
          */
160 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
161 |  |
         public void setComments(String value) {
162 | 0 |
             this.comments = value;
163 | 0 |
         }
164 |  |
165 |  |
     }